Page MenuHomePhabricator

During media storage failure, MW will still move image pages despite not being able to move the file causing inconsistency
Closed, ResolvedPublic

Description

Same as T71311, but for fixing the underlying bug instead of cleaning up.

Expected behaviour: If swift is down/fails, during page move, page move should be aborted/transaction rolled back.

Actual behaviour: file stays same place, page moves.

See T71311 for more details


Version: 1.24rc
Severity: normal

Details

Reference
bz69312

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 3:32 AM
bzimport set Reference to bz69312.
bzimport added a subscriber: Unknown Object (MLST).
Bawolff created this task.Aug 8 2014, 9:03 PM

gerritadmin wrote:

Change 153990 had a related patch set uploaded by Aaron Schulz:
Made LocalFile move/delete/restore handle network partitions better

https://gerrit.wikimedia.org/r/153990

gerritadmin wrote:

Change 153990 merged by jenkins-bot:
Made LocalFile move/delete/restore handle network partitions better

https://gerrit.wikimedia.org/r/153990

gerritadmin wrote:

Change 155575 had a related patch set uploaded by Aaron Schulz:
Made LocalFile move/delete/restore handle network partitions better

https://gerrit.wikimedia.org/r/155575

gerritadmin wrote:

Change 155575 merged by jenkins-bot:
Made LocalFile move/delete/restore handle network partitions better

https://gerrit.wikimedia.org/r/155575

All patches mentioned in this report were merged - is there more work left to do here (if yes: please reset the bug report status to NEW or ASSIGNED), or can you close this ticket as RESOLVED FIXED?

Gilles moved this task from Untriaged to Done on the Multimedia board.Dec 4 2014, 9:30 AM
jeremyb updated the task description. (Show Details)Dec 23 2014, 6:00 PM
jeremyb set Security to None.
jeremyb added a subscriber: jeremyb.